The Alternative Csound Reference Manual
Previous |  | Next

# GEN23

GEN23 -- Reads numeric values from a text file.

## Description

This subroutine reads numeric values from an external ASCII file.

## Syntax

f # time size -23 "filename.txt"

## Initialization

"filename.txt" -- numeric values contained in "filename.txt" (which indicates the complete pathname of the character file to be read), can be separated by spaces, tabs, newline characters or commas. Also, words that contains non-numeric characters can be used as comments since they are ignored.

size -- number of points in the table. Must be a power of 2 , power of 2 + 1, or zero. If size = 0, table size is determined by the number of numeric values in filename.txt. (New in Csound version 3.57)

| Note
| All characters following ';' (comment) are ignored until next line (numbers too).

## Credits

Author: Gabriel Maldonado
Italy
February, 1998

New in Csound version 3.47

Previous | Home | Next
GEN22 | Up | GEN24